Skip to main content

Get all residents

GEThttps://api.propexo.com/v1/residents/

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100
x_id string

The external resident id

x_property_id string

Deprecated: Use Propexo property_id instead

location_id string

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

property_id string

The Propexo property id

lease_id string

The Propexo lease id

integration_id string

The Propexo integration id

integration_vendor string
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST

The integration vendor for the resident.

email_1 string

The primary email address associated with the resident

phone_1 string

Possible values: Value must match regular expression ^[2-9]\d{9}$

Filter by phone number (10 digit format only)

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results object[]required
  • Array [
  • idstringrequired

    The Propexo unique identifier for the resident

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    Method
    GET /Contacts
    GET /Tenants/{tenantId}
    Example: 42
    x_lease_idnullrequireddeprecated

    Deprecated. Use leases_meta_data instead

    Notice

    This field will always be null for RENTMANAGER

    Example: null
    leases_meta_data object[]

    Known associated lease meta data

  • Array [
  • lease_idstringrequired

    The Propexo unique identifier for the lease

    Method
    GET /Contacts
    Example: clx0leas0000000000000004d
    x_resident_typestring | nullnullablerequired

    The external type of the resident from the integration vendor

    Method
    GET /Contacts
    Example: Applicant
    resident_type_normalizedstring | nullnullablerequired

    Resident type from Propexo

    Method
    GET /Contacts
    Example: PRIMARY
    Show 2 variants
    • string
    • stringPRIMARYSECONDARYGUARANTOROTHER
    move_in_datestring | nullnullablerequired

    The move-in date associated with the resident

    Method
    GET /Contacts
    Example: 2024-07-01T00:00:00.000Z
    move_out_datestring | nullnullablerequired

    The move-out date associated with the resident

    Method
    GET /Contacts
    Example: 2025-06-30T00:00:00.000Z
    notice_datestring | nullnullablerequired

    The date the resident gave notice

    Method
    GET /Contacts
    Example: 2025-05-01T00:00:00.000Z
    custom_data object | nullrequired
    object
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
  • ]
  • address_1_alternatenullrequired

    The first alternate address line associated with the resident

    Notice

    This field will always be null for RENTMANAGER

    Example: null
    address_1string | nullnullablerequired

    The first address line associated with the resident

    Method
    GET /Contacts
    Example: 200 Pine Street
    address_2_alternatenullrequired

    The second alternate address line associated with the resident

    Notice

    This field will always be null for RENTMANAGER

    Example: null
    address_2nullrequired

    The second address line associated with the resident

    Notice

    This field will always be null for RENTMANAGER

    Example: null
    balance_in_centsnumber | nullnullablerequired

    The rent balance owed

    Method
    GET /Tenants/{tenantId}
    Example: 10000
    city_alternatenullrequired

    The alternate city associated with the resident

    Notice

    This field will always be null for RENTMANAGER

    Example: null
    citystring | nullnullablerequired

    The city associated with the resident

    Method
    GET /Contacts
    Example: Denver
    country_alternatenullrequired

    The alternate country associated with the resident

    Notice

    This field will always be null for RENTMANAGER

    Example: null
    countrynullrequired

    The country associated with the resident

    Notice

    This field will always be null for RENTMANAGER

    Example: null
    custom_data object | nullrequired
    object
    date_of_birthstring | nullnullablerequired

    The date of birth associated with the resident

    Method
    GET /Contacts
    Example: 1992-03-14T00:00:00.000Z
    email_1string | nullnullablerequired

    The primary email address associated with the resident

    Method
    GET /Contacts
    email_2string | nullnullablerequired

    The secondary email address associated with the resident

    Method
    GET /Contacts
    first_namestring | nullnullablerequired

    The first name associated with the resident

    Method
    GET /Contacts
    Example: Jordan
    is_employeenullrequired

    Is the resident an employee

    Notice

    This field will always be null for RENTMANAGER

    Example: null
    last_namestring | nullnullablerequired

    The last name associated with the resident

    Method
    GET /Contacts
    Example: Lee
    late_balance_in_centsnullrequired

    The past due rent balance owed

    Notice

    This field will always be null for RENTMANAGER

    Example: null
    middle_namestring | nullnullablerequired

    The middle name associated with the resident

    Method
    GET /Contacts
    Example: Gail
    notesstring | nullnullablerequired

    Notes associated with the resident

    Method
    GET /Contacts
    Example: Prefers email contact
    phone_1_typestring | nullnullablerequired

    Type of the primary phone number

    Method
    GET /Contacts
    Show 5 enum values
    FAXHOMEMOBILEOTHERWORK
    Example: MOBILE
    phone_1string | nullnullablerequired

    Primary phone number associated with the resident

    Method
    GET /Contacts
    Example: (555) 555-0142
    phone_2_typestring | nullnullablerequired

    Type of the secondary phone number

    Method
    GET /Contacts
    Show 5 enum values
    FAXHOMEMOBILEOTHERWORK
    Example: HOME
    phone_2string | nullnullablerequired

    Secondary phone number associated with the resident

    Method
    GET /Contacts
    Example: (555) 555-0143
    state_alternatenullrequired

    The alternate state associated with the resident

    Notice

    This field will always be null for RENTMANAGER

    Example: null
    statestring | nullnullablerequired

    The state associated with the resident

    Method
    GET /Contacts
    Example: CO
    zip_alternatenullrequired

    The alternate zip code associated with the resident

    Notice

    This field will always be null for RENTMANAGER

    Example: null
    zipstring | nullnullablerequired

    The zip code associated with the resident

    Method
    GET /Contacts
    Example: 80202
    pets object[]required
  • Array [
  • idstringrequired

    The Propexo unique identifier for the resident pet

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    Method
    GET /Tenants/{tenantId}
    Example: 15
    namestring | nullnullablerequired

    The name associated with the resident pet

    Method
    GET /Tenants/{tenantId}
    Example: Bob
    typenullrequired

    The type associated with the resident pet

    Notice

    This field will always be null for RENTMANAGER

    Example: null
    breedstring | nullnullablerequired

    The breed of the resident pet

    Method
    GET /Tenants/{tenantId}
    Example: Golden Retriever
    gender_rawnullrequired

    The raw value for the gender of the resident pet

    Notice

    This field will always be null for RENTMANAGER

    Example: null
    age_in_yearsnumber | nullnullablerequired

    The age in years of the resident pet

    Method
    GET /Tenants/{tenantId}
    Example: 2
    weight_in_poundsnumber | nullnullablerequired

    The weight in pounds of the resident pet

    Method
    GET /Tenants/{tenantId}
    Example: 50
    is_fixednullrequired

    Whether the resident pet is fixed

    Notice

    This field will always be null for RENTMANAGER

    Example: null
    is_service_animalnullrequired

    Whether the resident pet is a service animal

    Notice

    This field will always be null for RENTMANAGER

    Example: null
    notesstring | nullnullablerequired

    Notes associated with the resident pet

    Method
    GET /Tenants/{tenantId}
    Example: A good dog
    custom_data object | nullrequired
    object
  • ]
  • vehicles object[]required
  • Array [
  • idstringrequired

    The Propexo unique identifier for the resident vehicle

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    Method
    GET /Contacts
    GET /Tenants/{tenantId}
    Example: clx0resd0000000000000003d
    makestring | nullnullablerequired

    The make of the resident vehicle

    Important

    This field is only available on short term rentals or rv/campgrounds. Hydrating this field requires making requests to an additional API which will increase your processed records count. Please contact support to enable.

    Method
    GET /Tenants/{tenantId}
    Example: Toyota
    modelstring | nullnullablerequired

    The Propexo data model (e.g. units, residents, applicants, etc.) associated with the resident vehicle

    Important

    This field is only available on short term rentals or rv/campgrounds. Hydrating this field requires making requests to an additional API which will increase your processed records count. Please contact support to enable.

    Method
    GET /Tenants/{tenantId}
    Example: Corolla
    colornullrequired

    The color of the resident vehicle

    Notice

    This field will always be null for RENTMANAGER

    Example: null
    yearstring | nullnullablerequired

    The year of the resident vehicle

    Important

    This field is only available on short term rentals or rv/campgrounds. Hydrating this field requires making requests to an additional API which will increase your processed records count. Please contact support to enable.

    Method
    GET /Tenants/{tenantId}
    Example: 1994
    license_plate_numberstring | nullnullablerequired

    The license plate number of the resident vehicle

    Important

    This field is only available on short term rentals or rv/campgrounds. Hydrating this field requires making requests to an additional API which will increase your processed records count. Please contact support to enable.

    Method
    GET /Tenants/{tenantId}
    Example: 123ABC456
    license_plate_statenullrequired

    The license plate state of the resident vehicle

    Notice

    This field will always be null for RENTMANAGER

    Example: null
    notesstring | nullnullablerequired

    Notes associated with the resident vehicle

    Method
    GET /Contacts
    Example: Blue sedan
    custom_data object | nullrequired
    object
  • ]
  • integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum21required

    The property management system of record

    Show 13 enum values
    RENTMANAGERAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTVINERESMANYARDIYARDI_REST
    Example: RENTMANAGER
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh
  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/residents/
curl https://api.propexo.com/v1/residents/ \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "42",
"leases_meta_data": [
{
"lease_id": "clx0leas0000000000000004d",
"x_resident_type": "Applicant",
"resident_type_normalized": "PRIMARY",
"move_in_date": "2024-07-01T00:00:00.000Z",
"move_out_date": "2025-06-30T00:00:00.000Z",
"notice_date": "2025-05-01T00:00:00.000Z",
"custom_data": "Unknown Type: object,null",
"last_seen": "2024-03-22T10:59:45.119Z"
}
],
"address_1_alternate": null,
"address_1": "200 Pine Street",
"address_2_alternate": null,
"address_2": null,
"balance_in_cents": 10000,
"city_alternate": null,
"city": "Denver",
"country_alternate": null,
"country": null,
"custom_data": "Unknown Type: object,null",
"date_of_birth": "1992-03-14T00:00:00.000Z",
"email_1": "[email protected]",
"email_2": "[email protected]",
"first_name": "Jordan",
"is_employee": null,
"last_name": "Lee",
"late_balance_in_cents": null,
"middle_name": "Gail",
"notes": "Prefers email contact",
"phone_1_type": "MOBILE",
"phone_1": "(555) 555-0142",
"phone_2_type": "HOME",
"phone_2": "(555) 555-0143",
"state_alternate": null,
"state": "CO",
"zip_alternate": null,
"zip": "80202",
"pets": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "15",
"name": "Bob",
"type": null,
"breed": "Golden Retriever",
"gender_raw": null,
"age_in_years": 2,
"weight_in_pounds": 50,
"is_fixed": null,
"is_service_animal": null,
"notes": "A good dog",
"custom_data": "Unknown Type: object,null"
}
],
"vehicles": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "clx0resd0000000000000003d",
"make": "Toyota",
"model": "Corolla",
"color": null,
"year": "1994",
"license_plate_number": "123ABC456",
"license_plate_state": null,
"notes": "Blue sedan",
"custom_data": "Unknown Type: object,null"
}
],
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "RENTMANAGER",
"property_id": "clwi5xiix000008l6ctdgafyh"
}
]
}